#!/bin/sh

#Netflix 4.0 config
#defaut source is delicated App Icon
#it will be set in setenv("NF_BUTTON_SRC") in nf_stub. 
echo "### Start Netflix from button source: "${NF_BUTTON_SRC}

TRACE=7
if [ "$NF_DBG_TRACE" = "" ]; then
	TRACE=7
else
	TRACE=$NF_DBG_TRACE
fi

echo "### Start Netflix with Trace Level: "${TRACE}

export LD_LIBRARY_PATH=usr/local/freetype_origin:/usr/lib:/usr/local/lib:${LD_LIBRARY_PATH}
echo "### LD_LIBRARY_PATH -->"${LD_LIBRARY_PATH}
export NF_IDFILE=/misc/nf/sysdata/SDK.bin
#read-only resource data(css,html, ca files)
export NF_DATA_DIR=/usr/share/netflix/40/data
export NF_CACHE_PATH=/misc/nf/cache

echo "Call nfq_stub" $PWD
/usr/local/bin/netflix_qt/netflix -Q source_type=${NF_BUTTON_SRC} --disable-logcolor
echo "******netflix qt process exit!******"
